Subject: Re: Roto Gro plant stand

From: Susan Sanders <[email-masked]>
Date: 13 Mar 1995 19:49:44 GMT

In article <[email-masked]> Richard Campbell,
[email-masked] writes:
>   So does anyone have: A Roto Gro unit?  Know anyone

I've seen pictures of it and been intrigued by it.  One of the things
I've thought about is whether the plants would get damaged as they
rotate, not by being jiggled by it, but by getting leaves stuck in the
mechanism, whether it allows enough vertical space between shelves, and
whether it would actually look nice or silly.  I also think it would
extend pretty far into the room and would suggest you actually measure
the spot where you would put it and try to imagine how it would look with
a large furniture unit sitting there, blocking your window (actually, I
hadn't even noticed that it had lights built in; I thought the idea was
to make the most use of a window).
						                                 -Sue Sanders